Subject: Re: bug#75460: herd status hangs forever

From: Simen Endsjø <[email-masked]>
Date: Sun, 12 Jan 2025 21:07:14 +0100

Ludovic Courtès <[email-masked]> writes:
> One suggestion:
(..)
> -                (unless (file-exists? socket)
> +                (and (not (file-exists? socket))
(..)
> Otherwise you end up with ‘emacs-daemon’ marked as “started” with
> #<unspecified> as its running value, causing an exception (type error)
> when attempting to stop it.

Thanks! I just assumed it worked like Common Lisp, returning #f. That
explains the weird issues I have been seeing.

>> ┌────
>> │ 2025-01-12 16:39:26 GNU Shepherd 1.0.0 (Guile 3.0.9, x86_64-unknown-linux-gnu)
>> │ 2025-01-12 16:39:26 Starting service root...
>
> Nothing stands out here, but this log is much recent than your initial
> report.  Is ‘herd status’ still hanging?  IOW, is it 100% reproducible?

I rebooted to get a clean log. Yes, it is fully reproducible.